Bug 1009719 - Update prerequisites and install instructions
Update prerequisites and install instructions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Athene Chan
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 21:43 EDT by Mike McCune
Modified: 2015-05-11 18:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2013-09-18 21:43:44 EDT
1.2. Prerequisites
The following conditions must be met before installing Red Hat Satellite 6: 

Add the following bullets:

 * No installed Java virtual machines (Oracle, IBM, etc) other than the OpenJDK 

 * No installed Puppet RPMs
 
 * Ideally a freshly provisioned system that is only being used for Red Hat Satellite 6

Edit:

 * A minimum of 5 GB storage for the base install of Red Hat Enterprise Linux, 300 MB for the installation of Red Hat Satellite and at least 10 GB of storage for each software repository to be synchronized in the /var filesystem

2.1. Installing Red Hat Satellite

remove note: "Note To install using only the Red Hat Enterprise Linux and MDP repositories: .."

instead make it a requirement with:

 Disable all existing repositories:

# yum-config-manager --disable *

 Enable the Satellite and Red Hat Enterprise Linux repositories by running yum-config-manager (you may need to alter the RHEL repository to match the specific version you are using):

# yum-config-manager --enable rhel-6-server-rpms rhel-server-6-satellite-6-mdp-2-rpms 

2.2. Installing Red Hat Satellite with an ISO Image

update to remove reference to 'CDROM'.  Nobody uses CD's anymore :)

 As the root user, mount the ISO image to a directory:

# mkdir /media/iso
# mount -o loop iso_filename /media/iso

Change directory to /media/iso
Comment 10 Dan Macpherson 2013-10-08 23:23:30 EDT
Verified.
Comment 11 Bryan Kearney 2014-04-24 13:09:43 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 12 Bryan Kearney 2014-04-24 13:11:09 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.